Home

# Class goog.db.Index

Creates an IDBIndex wrapper object. Indexes are associated with object stores and provide methods for looking up objects based on their non-key properties. Should not be created directly, access through the object store it belongs to.

Instance Method Summary
| `get(!Object value) ⇒ !goog.async.Deferred` Fetches a single object from the object store. Even if there are multiple objects that match the given value, this method will get only one of them.
| `getAll(Object= opt_value) ⇒ !goog.async.Deferred` Gets all indexed objects. If the value is provided, gets all indexed objects that match the value instead.
| `getAllKeys(Object= opt_value) ⇒ !goog.async.Deferred` Gets the keys to look up all the indexed objects. If the value is provided, gets all keys for objects that match the value instead.
| `getAll_(string fn, string msg, Object= opt_value) ⇒ !goog.async.Deferred` Helper function for getAll and getAllKeys.
| `getKey(!Object value) ⇒ !goog.async.Deferred` Looks up a single object from the object store and gives back the key that it's listed under in the object store. Even if there are multiple objects that match the given value, this method will only get one of their keys.
| `getKeyPath() ⇒ string`
| `getName() ⇒ string`
| `get_(string fn, string msg, !Object value) ⇒ !goog.async.Deferred` Helper function for get and getKey.
| `isUnique() ⇒ boolean`